Source: ruby-activerecord-nulldb-adapter
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Cédric Boutillier <boutil@debian.org>
Build-Depends: debhelper-compat (= 13),
               gem2deb,
               ruby-activerecord (>= 2:6.1),
               ruby-rspec
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-activerecord-nulldb-adapter.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-activerecord-nulldb-adapter
Homepage: https://github.com/nulldb/nulldb
XS-Ruby-Versions: all
Testsuite: autopkgtest-pkg-ruby
Rules-Requires-Root: no

Package: ruby-activerecord-nulldb-adapter
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby-activerecord (>= 2:5.2.0),
         ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends}
Description: ActiveRecord database adapters based on the Null Object pattern
 NullDB provides a database backend for Ruby ActiveRecord that translates
 database interactions into no-ops. Using NullDB enables one to test model
 business logic - including after_save hooks - without ever touching a real
 database.
